unit DSOLink1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;


type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    Button3: TButton;
    Memo2: TMemo;

    procedure Button1Click(Sender: TObject);    
    procedure Button3Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  data: array[0..5000] of longint;
  s:string;

implementation

{$R *.DFM}

{DLL procedures and functions}
procedure ReadCh1(Buffer: Pointer); stdcall; external 'DSOLink.dll';
procedure ReadCh2(Buffer: Pointer); stdcall; external 'DSOLink.dll';

procedure TForm1.Button1Click(Sender: TObject);
var i: longint;
p:pointer;
begin
  p:= @data[0];
  ReadCh1(p);
  memo1.clear;
  memo1.lines.add('Sample rate [Hz]'+chr(9)+inttostr(data[0]));
  memo1.lines.add('Full scale [mV]'+chr(9)+inttostr(data[1]));
  memo1.lines.add('GND level [counts]'+chr(9)+inttostr(data[2]));
  memo1.lines.add('');
  begin
    for i:=0 to 20 do
    memo1.lines.add('Data ('+inttostr(i)+')'+chr(9)+chr(9)+inttostr(data[i+3]));
  end;
end;

procedure TForm1.Button3Click(Sender: TObject);
var i: longint;
p:pointer;
begin
  p:= @data[0];
  ReadCh2(p);
  memo1.clear;
  memo1.lines.add('Sample rate [Hz]'+chr(9)+inttostr(data[0]));
  memo1.lines.add('Full scale [mV]'+chr(9)+inttostr(data[1]));
  memo1.lines.add('GND level [counts]'+chr(9)+inttostr(data[2]));
  memo1.lines.add('');
  begin
    for i:=0 to 20 do
    memo1.lines.add('Data ('+inttostr(i)+')'+chr(9)+chr(9)+inttostr(data[i+3]));
  end;
end;

end.
